List All Payments
Returns all individual payments matching the request criteria. This endpoint supports pagination, and filtering on payment status, type, receiver ID, and timestamp. Each payment has details on the transaction itself, receiver, disbursement, asset, status history, and blockchain information.
curl --request GET \
--url https://api.example.com/payments \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/payments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/payments")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"pagination": {
"next": "?page=3&page_limit=2",
"prev": "?page=1&page_limit=2",
"pages": 8,
"total": 16
},
"data": [
{
"id": "ddf22f55-3259-4822-a4e2-ce01334997f4",
"amount": "100.00",
"stellar_transaction_id": "0b339d1c89d314186b8147c2af4c9a9ed5bbdbcd7ada8d138633907649b",
"circle_transaction_id": "74a68b6a-3f67-424b-b8b0-e593a19d7463",
"circle_transaction_type": "TRANSFER",
"stellar_operation_id": "<string>",
"source_wallet_id": "4c379f5e-09b5-4472-a286-b84e249a1512",
"status": "DRAFT",
"status_history": [
{
"status": "DRAFT",
"status_message": "<string>",
"timestamp": "2023-02-03T10:45:51Z"
}
],
"type": "DISBURSEMENT",
"disbursement": {
"id": "c51ba1d5-52d3-412f-a59c-6ef32d59ab43",
"name": "disbursement-june-29",
"receiver_registration_message_template": "You have a payment waiting for you from {{.OrganizationName}}. Click {{.RegistrationLink}} to register.",
"registration_contact_type": "EMAIL",
"status": "DRAFT",
"verification_field": "DATE_OF_BIRTH",
"status_history": [
{
"user_id": "3f351b9e-ed0f-40fa-a314-14757b42dab1",
"status": "DRAFT",
"timestamp": "2023-02-03T10:45:51Z"
}
],
"file_name": "disbursement-feb-03-2023.csv",
"created_at": "2023-06-30T01:22:57.831975Z",
"updated_at": "2023-06-30T01:22:58.316511Z"
},
"asset": {
"id": "ffaec4b3-46b0-4db4-a4c4-6c3508057705",
"code": "USDC",
"issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"created_at": "2023-02-03T10:45:51Z",
"updated_at": "2023-02-03T10:45:51Z",
"deleted_at": "2023-06-03T10:55:51Z"
},
"receiver_wallet": {
"id": "803031d4-1d04-4879-b6d9-dc5641f9988e",
"receiver": {
"id": "029e2ed0-feb6-4c40-8b47-0836a85741a2"
},
"wallet": {
"id": "5ada9ed5-455a-4782-a0ee-160767e0deb1",
"name": "Vibrant Assist",
"homepage": "https://vibrantapp.com",
"sep_10_client_domain": "api-dev.vibrantapp.com",
"deep_link_schema": "https://vibrantapp.com/sdp-dev",
"enabled": true,
"user_managed": false
},
"stellar_address": "GCXAJ3XJ3VK3JFH3QMDFOSKM2NMMZBSO3VIT6EUPQWSDW2J74M23RRSL",
"stellar_memo": "<string>",
"stellar_memo_type": "<string>",
"sep24_transaction_id": "<string>",
"created_at": "2023-02-03T10:45:51.000Z",
"updated_at": "2023-02-03T10:45:51.000Z",
"invitation_sent_at": "2023-02-09T10:45:51.000Z",
"status": "DRAFT",
"status_history": [
{
"status": "DRAFT",
"timestamp": "2023-02-10T10:45:51Z"
}
],
"otp_confirmed_at": "2023-02-10T10:45:51Z",
"otp_confirmed_with": "<string>"
},
"external_payment_id": "payment-001",
"created_at": "2023-02-03T10:45:51Z",
"updated_at": "2023-02-03T10:45:51Z"
}
]
}{
"error": "Not authorized",
"extras": {
"status": 401,
"message": "Not authorized"
}
}{
"error": "Forbidden"
}Authorizations
Authorization header containing an SDP JWT (ES256) or an SDP_ API key.
Headers
Optional. Narrows the results to a single distribution account. Omit it to cover every account you have access to.
Query Parameters
The page requested.
Search payments by ID, external_payment_id, receiver wallet address, or disbursement name.
Type of payments
DIRECT, DISBURSEMENT Define how many results will be returned in the response.
Exact match on the status of the payment.
DRAFT, READY, PENDING, PAUSED, SUCCESS, FAILED, CANCELED UUID that represents a receiver in the database
Only return payments that are created after this date. Format: YYYY-MM-DD
Only return payments that are created before this date. Format: YYYY-MM-DD
Field used to sort payments
updated_at, created_at Direction for sorting payments.
asc, desc curl --request GET \
--url https://api.example.com/payments \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/payments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/payments")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"pagination": {
"next": "?page=3&page_limit=2",
"prev": "?page=1&page_limit=2",
"pages": 8,
"total": 16
},
"data": [
{
"id": "ddf22f55-3259-4822-a4e2-ce01334997f4",
"amount": "100.00",
"stellar_transaction_id": "0b339d1c89d314186b8147c2af4c9a9ed5bbdbcd7ada8d138633907649b",
"circle_transaction_id": "74a68b6a-3f67-424b-b8b0-e593a19d7463",
"circle_transaction_type": "TRANSFER",
"stellar_operation_id": "<string>",
"source_wallet_id": "4c379f5e-09b5-4472-a286-b84e249a1512",
"status": "DRAFT",
"status_history": [
{
"status": "DRAFT",
"status_message": "<string>",
"timestamp": "2023-02-03T10:45:51Z"
}
],
"type": "DISBURSEMENT",
"disbursement": {
"id": "c51ba1d5-52d3-412f-a59c-6ef32d59ab43",
"name": "disbursement-june-29",
"receiver_registration_message_template": "You have a payment waiting for you from {{.OrganizationName}}. Click {{.RegistrationLink}} to register.",
"registration_contact_type": "EMAIL",
"status": "DRAFT",
"verification_field": "DATE_OF_BIRTH",
"status_history": [
{
"user_id": "3f351b9e-ed0f-40fa-a314-14757b42dab1",
"status": "DRAFT",
"timestamp": "2023-02-03T10:45:51Z"
}
],
"file_name": "disbursement-feb-03-2023.csv",
"created_at": "2023-06-30T01:22:57.831975Z",
"updated_at": "2023-06-30T01:22:58.316511Z"
},
"asset": {
"id": "ffaec4b3-46b0-4db4-a4c4-6c3508057705",
"code": "USDC",
"issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"created_at": "2023-02-03T10:45:51Z",
"updated_at": "2023-02-03T10:45:51Z",
"deleted_at": "2023-06-03T10:55:51Z"
},
"receiver_wallet": {
"id": "803031d4-1d04-4879-b6d9-dc5641f9988e",
"receiver": {
"id": "029e2ed0-feb6-4c40-8b47-0836a85741a2"
},
"wallet": {
"id": "5ada9ed5-455a-4782-a0ee-160767e0deb1",
"name": "Vibrant Assist",
"homepage": "https://vibrantapp.com",
"sep_10_client_domain": "api-dev.vibrantapp.com",
"deep_link_schema": "https://vibrantapp.com/sdp-dev",
"enabled": true,
"user_managed": false
},
"stellar_address": "GCXAJ3XJ3VK3JFH3QMDFOSKM2NMMZBSO3VIT6EUPQWSDW2J74M23RRSL",
"stellar_memo": "<string>",
"stellar_memo_type": "<string>",
"sep24_transaction_id": "<string>",
"created_at": "2023-02-03T10:45:51.000Z",
"updated_at": "2023-02-03T10:45:51.000Z",
"invitation_sent_at": "2023-02-09T10:45:51.000Z",
"status": "DRAFT",
"status_history": [
{
"status": "DRAFT",
"timestamp": "2023-02-10T10:45:51Z"
}
],
"otp_confirmed_at": "2023-02-10T10:45:51Z",
"otp_confirmed_with": "<string>"
},
"external_payment_id": "payment-001",
"created_at": "2023-02-03T10:45:51Z",
"updated_at": "2023-02-03T10:45:51Z"
}
]
}{
"error": "Not authorized",
"extras": {
"status": 401,
"message": "Not authorized"
}
}{
"error": "Forbidden"
}